Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.task
Class ReasonerTaskAdapter

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.task.ReasonerTaskAdapter

All Implemented Interfaces:
  ReasonerTaskListener

    public class ReasonerTaskAdapter

extends Object
implements ReasonerTaskListener

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 20, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`ReasonerTaskAdapter()`

Method Summary
`void` | `addedToTask(ReasonerTaskEvent event)`
`void` | `descriptionChanged(ReasonerTaskEvent event)`
`void` | `messageChanged(ReasonerTaskEvent event)`
`void` | `progressChanged(ReasonerTaskEvent event)`
`void` | `progressIndeterminateChanged(ReasonerTaskEvent event)`
`void` | `taskCompleted(ReasonerTaskEvent event)`
`void` | `taskFailed(ReasonerTaskEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReasonerTaskAdapter

    public ReasonerTaskAdapter()

Method Detail

### addedToTask

    public void addedToTask(ReasonerTaskEvent event)

  Specified by:
    `addedToTask` in interface `ReasonerTaskListener`

### progressChanged

    public void progressChanged(ReasonerTaskEvent event)

  Specified by:
    `progressChanged` in interface `ReasonerTaskListener`

### progressIndeterminateChanged

    public void progressIndeterminateChanged(ReasonerTaskEvent event)

  Specified by:
    `progressIndeterminateChanged` in interface `ReasonerTaskListener`

### descriptionChanged

    public void descriptionChanged(ReasonerTaskEvent event)

  Specified by:
    `descriptionChanged` in interface `ReasonerTaskListener`

### messageChanged

    public void messageChanged(ReasonerTaskEvent event)

  Specified by:
    `messageChanged` in interface `ReasonerTaskListener`

### taskFailed

    public void taskFailed(ReasonerTaskEvent event)

  Specified by:
    `taskFailed` in interface `ReasonerTaskListener`

### taskCompleted

    public void taskCompleted(ReasonerTaskEvent event)

  Specified by:
    `taskCompleted` in interface `ReasonerTaskListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.